> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List trainings



## OpenAPI

````yaml GET /training/v1/trainings
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /training/v1/trainings:
    get:
      tags:
        - Trainings
      summary: List trainings
      operationId: ListTrainings
      parameters:
        - in: query
          name: name
          description: The name of the training
          schema:
            type: string
        - in: query
          name: startDate
          description: Y-m-d
          schema:
            type: string
            format: date
        - in: query
          name: endDate
          description: Y-m-d
          schema:
            type: string
            format: date
        - in: query
          name: orderType
          description: Order ascendant or descendent
          schema:
            type: string
            default: asc
            enum:
              - asc
              - desc
        - in: query
          name: orderKey
          description: Order by the specific field specific users
          schema:
            type: string
            default: name
            enum:
              - name
              - amount
        - in: query
          name: limit
          description: Limit work entries
          schema:
            type: integer
            default: 20
        - name: page
          in: query
          description: Request a specific page
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: 707ee040-4d5b-4e48-abfa-199dcefb37a3
                        name:
                          type: string
                          example: Nombre de la formación
                        description:
                          type: string
                          example: Descripción de la formación
                        durationInHours:
                          type: number
                          format: float
                          example: 1.5
                          description: Duration in hours (decimal)
                        durationHours:
                          type: integer
                          example: 1
                          description: Duration hours component
                        durationMinutes:
                          type: integer
                          example: 30
                          description: Duration minutes component
                        amount:
                          type: number
                          format: integer
                          example: 1200
                        amountType:
                          type: string
                          enum:
                            - per_course
                            - per_person
                        currency:
                          type: string
                          example: EUR
                        startDate:
                          type: number
                          format: date
                          example: '2024-11-29T23:00:00+00:00'
                        endDate:
                          type: number
                          format: date
                          example: '2024-12-29T23:00:00+00:00'
                        trainingEntity:
                          type: string
                          example: Entidad formadora
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer:
            - ''
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````